function [Signal,Scores]=IC_signs(Signal,Scores,Options);

if exist('Options','var')
    if isfield(Options,'Criterion')
        switch Options.Criterion
            % Max intensity (1) / Sum surface (2)
            case 1
                Criterion=1;
            case 2
                Criterion=2;
            otherwise
                Criterion=1;
        end
    else
        Criterion=1;
    end

    if isfield(Options,'Basis')
        switch Options.Basis
            % Scores (1) / Signals (2)
            case 1
                Basis=1;
            case 2
                Basis=2;
            otherwise
                Basis=1;
        end
    else
        Basis=1;
    end
end

ICs=size(Signal,2);

for nIC=1:ICs
    switch Criterion
        case 1
            switch Basis % Max Intensity
                case 1 % Scores
                    [maxVal,maxInd]=max(abs(Scores(:,nIC)));
                    if Scores(maxInd,nIC) < 0
                        Scores(:,nIC)=-1*Scores(:,nIC);
                        Signal(:,nIC)=-1*Signal(:,nIC);
                    end
                case 2 % Signals
                    [maxVal,maxInd]=max(abs(Signal(:,nIC)));
                    if Signal(maxInd,nIC) < 0
                        Signal(:,nIC)=-1*Signal(:,nIC);
                        Scores(:,nIC)=-1*Scores(:,nIC);
                    end
            end
        case 2
            switch Basis % Surface
                case 1 % Scores
                    SumVals=sum(Scores(:,nIC));
                    if SumVals < 0
                        Scores(:,nIC)=-1*Scores(:,nIC);
                        Signal(:,nIC)=-1*Signal(:,nIC);
                    end
                case 2 % Signals
                    SumVals=sum(Signal(:,nIC));
                    if SumVals < 0
                        Scores(:,nIC)=-1*Scores(:,nIC);
                        Signal(:,nIC)=-1*Signal(:,nIC);
                    end
            end
    end

end
