function [saisir] = appendrow1(saisir1,varargin)
%appendrow1		 - Merges an arbitrary number of files according to rows
%usage: [X]= appendrow(X1,X2,X3,...) 
%
%Input arguments:
%===============
%X1, X2, X3 : SAISIR Matrices with the same number of columns 
%
%Ouput argument:
%===============
%X     : SAISIR Matrix  with p columns
%
%The identifiers or columns are recopied in X.v
%The identifiers of rows are the concatenation of X1.i, X2.i, X3.i ...
%
%Example:
%total=appendrow(spectra1, spectra2, spectra3);
%
%see also: appendcol, appendrow, appendcol1



%if(size(saisir1.d,2)~=size(saisir2.d,2))
%   help appendrow;
%   error('number of columns are not equal');
%end   
%saisir.d=[saisir1.d;saisir2.d];
%saisir.i=[saisir1.i;saisir2.i];
%saisir.v=saisir1.v;
if(isempty(saisir1))
    saisir=varargin{1};
    return;
end
[n,p]=size(saisir1.d);
[a,ntable]=size(varargin);
saisir=saisir1;
bl='                                    ';
blancs=char(ones(n,1)*bl);
aux=[saisir.i blancs];
saisir.i=aux(:,1:37);% ajusted to 30 with blanks
for table=1:ntable
    if(size(saisir1.d,2)~=size(varargin{table}.d,2))
 	   help appendrow;
      	error('number of columns are not equal');
    end

    if isfield(saisir1,'rawdata')
        saisir.rawdata = [saisir.rawdata(:,1:8);varargin{table}.rawdata(:,1:8)]; % on prend les 8 premieres colonnes des rawdata TOFoo
        saisir.d = [saisir.d ; varargin{table}.d];
    else
        saisir.d = [saisir.d ; varargin{table}.d];
    end
    aux=varargin{table}.i;
    [a,b]=size(aux);
    blancs=char(ones(a,1)*bl);
   aux=[aux blancs];
   saisir.i=[saisir.i;aux(:,1:37)];
end
saisir.v=saisir1.v;