function colored_map2(s,col1,col2,startpos,endpos, haxes, labcol1,labcol2,titre,charsize,marg)
%colored_map2			- colored map : using a portion of the identifiers as labels 
%colored_map2(s,col1,col2,startpos,endpos, haxes, labcol1,labcol2,titre,charsize,marg)
%Biplot of two columns as colored map 
%
%Input arguments:
%===============
%X: SAISIR matrix
%col1, col2 : index of the two columns to be represented (integer values)
%startpos, endpos: position in the identifier strings of rows ('.i') for
%the coloration
% haxess : handle for target graph
%col1label (optional): Label of the variable forming the X-axis
%col2label (optional): Label of the variable forming the Y-axis
%title (optional) : title of the graph
%charsize (optional) : size of the plotted characters
%marg (optional) : margin value allowing an extension of the axis in order 
%to cope with long identifiers (default value: 0.05)
%For the French users: there is a synonym function "carte_couleur2". 
%Use preferably "colored_map2"
%The coloration of the displayed descriptors depends on the arguments
%startpos and endpos.
%From the names of individual, the string name(sartpos:endpos) is extracted. Two observations
%for which these strings are different, are also colored differently.   
%example:
%Let X be a SAISIR matrix
%%Let X.i being
%'wheat1'
%'barle2'
%'ricex1'
%'wheat2'
%'barle3'
% ... 
%The command 'colored_map1(X,5,3,1,5)' will plot the column 5 as X, 3, as Y 
%The characters are extracted from 1 to 5 , that is strings 'wheat', 'barley',
%'ricex'.A different color will be given for each of this strings. 
%
%See also colored_map1 (same principle but with only the portion of 
%the identifier names, from startpos to endpos, displayed) 

%clf;
%cla;
%figure;
%couleur=[0 0 0;  1 0 1; 0 0 1; 0 0.7 0;  0.5 0.5 0; 0.5 0 0.5; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];  
%couleur=[0 0 1;  1 0 0; 0 0 1; 0 0.7 0;  0.5 0.5 0; 0.5 0 0.5; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];  
couleur=[0 0 0; 1 0 0; 0 0 1; 0 0.7 0; 0.5 0.5 0; 0.5 0 0.5; 0 0.5 0.5 ; 0.25 0.25 0.25 ; 0.5 0 0; 0 0.5 0; 0 0.5 0; 0.1 0.2 0.3; 0.3 0.2 0.1; 0.5 0.5 0.8; 0.1 0.8 0.1 ];
% cla;

title('');   
margin=0.05;
if(nargin>9) 
    margin=marg;end
%figure;
csize=8;
if(nargin>8)
    csize=charsize;end
%axis(haxes, 'auto');
axis(haxes,[min(s.d(:,col1))*1.1 max(s.d(:,col1))*1.1 min(s.d(:,col2))*1.1 max(s.d(:,col2))*1.1]); 
minx=min(s.d(:,col1));maxx=max(s.d(:,col1));miny=min(s.d(:,col2));maxy=max(s.d(:,col2));
minx=minx-(maxx-minx)*margin;
miny=miny-(maxy-miny)*margin;
maxx=maxx+(maxx-minx)*margin;
maxy=maxy+(maxy-miny)*margin;

axis(haxes, [minx maxx miny maxy]); 
model(1,:)=s.i(1,startpos:endpos);
nmodel=1;
%[bid,index]=sort(x.d);
%x=selectrow(x,index);
gr=create_group1(s,startpos,endpos);
indice=gr.d;
for i=1:size(s.i,1)
%    trouve=0;
%    for j=1:nmodel
%          %[model(j,:) ' ' s.i(i,:)]
%        
%        if(strcmp(model(j,:),s.i(i,startpos:endpos))==1)
%          indice=j;
%          trouve=1;
%        end         
%    end
%    if(trouve==0)
%       nmodel=nmodel+1;
%       indice=nmodel;
%       model(nmodel,:)=s.i(i,startpos:endpos);
%    end   
% 
text(haxes, s.d(i,col1)+(s.d(i,col1)*0.002),s.d(i,col2),s.i(i,startpos:endpos),'FontSize',csize,'Color',couleur(mod(indice(i),15)+1,:),'Interpreter','none');
end   
if(nargin >6) 
    xlabel(haxes, labcol1);
else 
    xlabel(haxes, s.v(col1,:));   
end
if(nargin>7) 
    ylabel(haxes, labcol2);
else 
    ylabel(haxes, s.v(col2,:));   
end
if(nargin>8) 
    title(haxes, titre); end
hold (haxes, "off");
