function [results, msg, b, pente, polynom, f] = computeKovatsIxEquation(vectorIx, vectorTR, positionSelectionDropDown)
% Compute Kovats model (linear or polynomial) for Kovats indices estimation
% INPUTS
% positionSelectionDropDown : type de modèle demandé : 1 = lineaire; 2 =
% polynomial

try
    X = [ones(size(vectorTR)) vectorTR];
    switch positionSelectionDropDown
        case 1
            bx = regress(vectorIx,X);
            pente = bx(2);
            b = bx(1);

            polynom = 0;
            f = 0;
            results = 1;
            msg = '';

        case 2
            T = table(vectorIx,vectorTR);
            [poly,~,mu] = polyfit(T.vectorTR, T.vectorIx, 2);
            f = polyval(poly,T.vectorTR,[],mu);
            polynom = fit(T.vectorTR,T.vectorIx,'poly2');

            b = 0;
            pente = 0;
            results = 1;
            msg = '';
    end

catch erreur
    results = 0;
    msg = erreur.message;
end
end
