function [saisir, effectif]=create_group1(s,startpos,endpos)
%create_group1 			- uses the identifiers to create groups
%function [group]=create_group1(X,startpos,endpos)
%
%Input arguments:
%================
%X: SAISIR matrix (n x p)
%startpos, endpos: place in the identifier names where to find the code
%
%Output argument:
%================
%group :SAISIR vector (n x 1) of groups. A same number indicates that the observations belong to the same group
%group.g : number of observations in each found group
%
%This function uses the row identifiers (considered as relevant keys) for creating groups.
%Its identifies as many group as different strings from startpos to endpos
%
%%Typical example
%%================
%mygroup=create_group1(X,1,2);%% use the characters in pos 1 to 2 of the row names (X.i)  
%%As illustration 
%mygroup.d(1:30:100,1)
% % ans=
% %           2.00 %% belongs to group 2
% %           2.00
% %           4.00 %%belongs to group 4, 
% %           1.00 %% and so on
%mygroup.g.d
% %          38.00 %% Number of obs. in group 1
% %          35.00 %% Number of obs. in group 2
% %          40.00 %% and so on ... 
% %          27.00
% The function "create_group1" is very commonly used when groups are needed 
%(For example, in discriminant analysis, ANOVA, ellipse_map , etc )
%See also: create_group, contingency_table  

if(~isfield(s,'i'))
    aux=s;
    clear s;
    s.i=aux; 
end
[nrow ncol]=size(s.i);
if(nargin==3)
    range=startpos:endpos;
else %%(nargin =2)
    range=startpos;
end
model(1,:)=s.i(1,range);
nmodel=1;
effectif(1)=0;
saisir.d=zeros(nrow,1);
for i=1:nrow
   if(mod(i,1000)==0)
       disp(i);
   end
    trouve=0;
   for j=1:nmodel
        	if(strcmp(model(j,:),s.i(i,range))==1)
         indice=j;
         trouve=1;
      	effectif(indice)=effectif(indice)+1;   
      end         
   end
   if(trouve==0)
      nmodel=nmodel+1;
      indice=nmodel;
      model(nmodel,:)=s.i(i,range);
   	effectif(nmodel)=1;   
   end   
   saisir.d(i,1)=indice;
end   
%model
saisir.g.i=model;
[model index]=sortrows(model);
%model
saisir.i=s.i;
saisir.v='group';
saisir.g.d=effectif';
saisir.g.v='effectif';
saisir.g=selectrow(saisir.g,index);
k=0;
for i=1:size(saisir.g.d,1)
    index1(index(i))=i;
end
saisir.d=index1(saisir.d)';
