function [scores, loadings, eigenvalues, msg] = mypca(matrix, listofSamples, listofVariables, options)
%% this function perfoms a PCA with some otpions
%
% INPUT:
% matrix: table of numeric data oriented in columns, each line correspond
% to an observation or a sample, each column represent all values obtained
% for a specific variable or parameter of the measurement.
%
% listofSamples: list of samples or observations names that is a column
% containing identifers of each samples as char or string type
%
% listofVariables: list of variables names that is a column containing
% variables identifiers as char or string type
%
% options: can be "none" or "normed"
%
% OUTPUT:
% scores: sample coordinates within the principal component space
% loadings: variables coordinates within the principal component space
% eigenvalues: eigenvalues calculated for each principal component

try
    mydata.d = matrix;
    mydata.i = listofSamples;
    mydata.v = listofVariables;

    switch options
        case "none"
            mypca = pca(mydata);

        case "normed"


    end
    scores = mypca.score.d;
    

catch erreur
    msg = erreur.message;
end