classdef pcaFigure < dynamicprops
   properties
     scores
     loadings
     eigenval
     average
     info
     comment
   end

   methods
      function obj = pcaFigure(val)
         if nargin > 0
            obj.scores = val.score;
            obj.loadings = val.eigenvec;
            obj.eigenval = val.eigenval;
            obj.average = val.average;
            obj.info = val.info;

            if isfield(obj,'comment')
                obj.comment = val.comment;
            end
            
         end
      end
      function createFigure(obj, PCx, PCy)
     
            figure; groups= create_group1(obj.scores,1,5); 
            gscatter(obj.scores.d(:,PCx), obj.scores.d(:,PCy), groups.d,"rb","^s"); 
            xlabel(obj.scores.v(PCx,:)); ylabel(obj.scores.v(PCy,:));
            legend(groups.g.i,'interpreter','none');

      end
      function createScreePlot(obj)
            eigenvalSum = sum(obj.eigenval.d);
            percent = obj.eigenval.d ./eigenvalSum*100;

            figure;
            scatter(1:length(obj.eigenval.d), percent,'ko','MarkerFaceColor',[0 0 1]); hold on;
            plot(1:length(obj.eigenval.d), percent,'r-');
            xlabel('Indice PC'); ylabel('Pourcentage de variance expliquée');
            
      end

   end
end
