
function [cidx, ctrs] = saisir_barycenter(X, mygroups)
%%
% function barycentres = saisir_barycenter(X, groups)
%
% INPUTS
% X         : matrice SAISIR
% groups    : structure SAISIR contenant les informations de groupes
%
% OUTPUT
% barycentres : structure SAISIR contenant les coordonnées des barycentres
% des groupes sur chaque plan factoriel formé par les colonnes prises 2 à 2
% de X
%%


try

    [cidx, ctrs] = kmeans(X.d, size(mygroups.g.d,1), 'Distance','correlation');


catch err
        disp(strcat("Erreur : vérifiez vos entrées et leur dimensions : ", err.message));
end

end