function [mydata] = saisirlog10(data, option)
%matrix2saisir 	- transforms a Matlab matrix in a saisir structure
%X = matrix2saisir(data,(coderow),(codecol))
%
%Input arguments:
%---------------
%data : SAISIR matrix
%coderow (optional) : string (code added to the row identifiers)
%codecol (optional): string (code added to the variables identifiers)
%
%Output argument:
%----------------
%X: SAISIR matrix with fields "d" (copy of "data"), "i" (identifiers of
%rows), "v" (identifiers of variables)
%
% Saisir means "statistique applique  l'interpretation des spectres infrarouge"
%or "statistics applied to the interpretation of IR spectra'
%



if(~isnumeric(data.d))
    error('data is not numeric');
end

mydata = data;
if nargin<2
    mydata.d=log10(data.d);
    mydata.preatreatment = 'Log10';

else
    if strcmp(option, "abs")
        mydata.d = -log10(data.d);
        mydata.preatreatment = '-Log10';
    else
        mydata.d=log10(data.d);
        mydata.preatreatment = 'Log10';
    end
end

mydata.lastmodifby = 'Christophe B.Y. Cordella - Universit Laval, Qubec (QC)';

