function [saisir] = selectcol(saisir1,index)
%selectcol 		- creates a new data matrix with the selected columns
%function [X] = selectcol(X1,index)
%
%Input arguments
%===============
%X1: SAISIR matrix (n x p) 
%Index: vector of integer or of booleans
%
%Output argument
%===============
%X: matrix with n rows reduced to the selected variables
%
% %Typical example:
% %===============
%reduced=selectcol(DATA,[1 5 6]); %% selects the columns #1, #5, #6 and
%%builds the reduced matrix (with 3 columns) in "reduced"
%
%%See also: selectrow, deletecol, deleterow, appendcol, appendrow,
%appendcol1, appendrow1

% on commence par recopier tous les champs dans la nouvelle structure
saisir = saisir1;

% puis on applique la selection
saisir.d=saisir1.d(:,index);
saisir.i=saisir1.i;
saisir.v=saisir1.v(index,:);

listFields = fieldnames(saisir1);
if sum(double(cell2mat(cellfun(@(x) isequal(x,'eretic'), listFields,'UniformOutput',false))))==1
    saisir.scale = saisir1.scale(1,index);
end
saisir.lastmodif = datestr(datetime);
%% Extension TOFOO
% on cherche le champ eretic pour verifier qu'il s'agit d'une structure
% SAISIR TOFoo
% listFields = fieldnames(saisir1);
% testRMN = sum(double(cell2mat(cellfun(@(x) isequal(x,'eretic'), listFields,'UniformOutput',false))));
% if testRMN == 1
%     try
%         saisir.eretic = saisir1.eretic;
%         saisir.scale = saisir1.scale;
%         saisir.dilution = saisir1.dilution;
%         saisir.internalSamplesNames = saisir1.internalSamplesNames;
%         saisir.rawdata = saisir1.rawdata;
%         saisir.createdby = saisir1.createdby;
%         saisir.created = saisir1.created;
%         saisir.method = saisir1.method;
%         saisir.instrument = saisir1.instrument;
%         saisir.datatype = saisir1.datatype;
% 
%     catch err
%         pos = findstr(err.message,'''');
%         disp(['Il manque le champ : [' err.message(pos(1):pos(2)) '] dans votre structure SAISIR 2.0 ToFoo']);
%     end
% end