function symbol_map3D(s,col1,col2,col3,startpos,endpos,groups, labcol1,labcol2,titre,charsize)
%symbol_map			- map with symbols : using a portion of the identifiers for
%symbol_map(X,col1,col2,startpos,endpos,(col1label),(col2label),(title),(charsize))
%
%Input arguments:
%===============
%X: SAISIR matrix
%col1, col2 : index of the two columns to be represented (integer values)
%startpos, endpos: position in the identifier strings of rows ('.i') for
%the coloration
%col1label (optional): Label of the variable forming the X-axis
%col2label (optional): Label of the variable forming the Y-axis
%title (optional) : title of the graph
%charsize (optional) : size of the plotted characters
%
%For the French users: there is a synonym function "carte_symbole". 
%Use preferably "symbol_map"
%The coloration of the displayed descriptors depends on the arguments
%startpos and endpos.
%From the names of individual, the string name(sartpos:endpos) is extracted. Two observations
%for which these strings are different, are represented with different symbols.   
%example:
%Let X be a SAISIR matrix
%%Let X.i being
%'wheat1'
%'barle2'
%'ricex1'
%'wheat2'
%'barle3'
% ... 
%The command 'symbol_map(X,5,3,1,5)' will plot the column 5 as X, 3, as Y 
%The characters are extracted from 1 to 5 , that is strings 'wheat', 'barley',
%'ricex'.A different symbol will be given for each of this strings. 
%
%See also colorde_map1, colored_map2 (same principle but with the 
%identifier name displayed) 



symbole=['o';'.';'+';'s';'^';'^';'p';'h';'p';'h';'+';'*';'>';'<';'v'] ;
bold=['b   ';'k   ';'none';'g   ';'none';'m   ';'none';'r   ';'c   ';'k   ';'y   ';'none';'r   ';'none'];

%symbole=['s';'s';'s';'o';'s';'s';'s';'s';'s';'h';'+';'*';'>';'<';'v'] ;
%bold=['none';'k';'none';'m   ';'r   ';'none';'none';'none';'k   ';'k   ';'none';'none';'none';'none'];


title('');   
margin=0.05;
if(nargin>9) margin=marg;end;
%cla;
csize=6;
if(nargin>8)csize=charsize;end;
axis('auto');
%axis([min(s.d(:,col1))*1.1 max(s.d(:,col1))*1.1 min(s.d(:,col2))*1.1 max(s.d(:,col2))*1.1]); 
minx=min(s.d(:,col1));maxx=max(s.d(:,col1));miny=min(s.d(:,col2));maxy=max(s.d(:,col2));
minz=min(s.d(:,col3));maxz=max(s.d(:,col3));
minx=minx-(maxx-minx)*margin;
miny=miny-(maxy-miny)*margin;
minz=minz-(maxz-minz)*margin;
maxx=maxx+(maxx-minx)*margin;
maxy=maxy+(maxy-miny)*margin;
maxz=maxz+(maxz-minz)*margin;

axis([minx maxx miny maxy minz maxz]); 
model(1,:)=s.i(1,startpos:endpos);
nmodel=1;
for i=1:size(s.i,1)
   trouve=0;
   for j=1:nmodel
         %[model(j,:) ' ' s.i(i,:)]
       
       if(strcmp(model(j,:),s.i(i,startpos:endpos))==1)
         indice=j;
         trouve=1;
       end         
   end
   if(trouve==0)
      nmodel=nmodel+1;
      indice=nmodel;
      model(nmodel,:)=s.i(i,startpos:endpos);
   end   
   hold on;
  if groups.d(i,1) == 1
   h=plot3(s.d(i,col1),s.d(i,col2), s.d(i,col3),['k' symbole(mod(indice,14-1)+1,:)],'MarkerSize',csize,'MarkerFaceColor','r');
  else
   h=plot3(s.d(i,col1),s.d(i,col2), s.d(i,col3),['k' symbole(mod(indice,14-1)+1,:)],'MarkerSize',csize,'MarkerFaceColor','b');
  end
   hold off;   
end   

%get(h);

if(nargin >7) xlabel(labcol1)
	else xlabel(s.v(col1,:));   
end;
if(nargin>8) ylabel(labcol2);
	else ylabel(s.v(col2,:));   
end;
if(nargin>9) title(titre);end;
